/*
 * Copyright (c) 2004 Anil Madhavapeddy <anil@recoil.org>
 * Copyright (c) 2004 Intel Research Cambridge
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * $Id: atomicio.c,v 1.3 2004/09/07 15:52:04 avsm Exp $
 */

#include "atomicio.h"

/* Try read/write until the operation either succeeds or results
 * in a hard error. Based on but not derived from atomicio in openssh */
ssize_t
atomicio(f, fd, buf, n)
ssize_t(*f) (int, void *, size_t);
int fd;
void *buf;
size_t n;
{
    ssize_t res;
    while (1) {
        res = (f) (fd, buf, n);
        if (res == -1 && (errno == EINTR || errno == EAGAIN))
            continue;
        else
            return res;
    }
}
