/*
 * Copyright (c) 2004 Anil Madhavapeddy <anil@recoil.org>
 * Copyright (c) 2004 Intel Research Cambridge
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * $Id: log.h,v 1.7 2004/09/07 15:52:04 avsm Exp $
 */

#ifndef _BLUEPROXY_LOG_H
#define _BLUEPROXY_LOG_H

#include <stdarg.h>
#include <stdio.h>
#include <err.h>
#include <errno.h>
#include <pthread.h>

#define L_NONE     0
#define L_CRITICAL 1
#define L_INFO     2
#define L_DEBUG    3

void logmsg(const char *, int, const char *, ...);
void set_log_level(int);
void init_log(void);

#endif    /* _BLUEPROXY_LOG_H */
