/*
 * Copyright (c) 2004 Anil Madhavapeddy <anil@recoil.org>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * $Id: macos.c,v 1.5 2004/09/07 15:52:04 avsm Exp $
 */

#include <stdio.h>
#include <string.h>
#include <fcntl.h>
#include "blueproxy.h"
#include "log.h"

/* create a bluetooth listening socket */
int
createBluetoothSocket(char *id, char *iface_name, int channel) {
    int s;

    s = open(iface_name, O_RDWR, 0);
    if (s != -1)
        logmsg(id, L_DEBUG, "Opened Bluetooth socket");

    return s;
}

/* accept a connection on a bluetooth socket */
int
acceptBluetoothSocket(char *id, int s) {
    return s;
}

/* connect a socket to a remote bluetooth host */
int
connectBluetoothSocket(char *id, char *remote, int channel) {
    errx(1, "Not implemented on MacOS X yet");
}

/* Do a service inquiry looking for Bluetooth devices that offer
 * a particular type of serial port service specified in search_name */
struct service_results *
    doBluetoothServiceInquiry(char *id, char *search_name) {
    errx(1, "Not implemented on MacOS X yet");
}

void
registerBlueproxyService(char *id, char *iface_name, int channel) {
    logmsg(id, L_DEBUG,
           "registerBlueproxyService not implemented on Linux yet");
}

void
unregisterBlueproxyService(void) {
    logmsg(NULL, L_DEBUG,
           "unregisterBlueproxyService not implemented on Linux yet");
}
